Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management
Class DistributedAttributeUpdateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.management.DistributedUpdateException
                      weblogic.management.DistributedAttributeUpdateException

All Implemented Interfaces:
  Serializable, weblogic.utils.NestedThrowable

Deprecated.

    public final class DistributedAttributeUpdateException

extends DistributedUpdateException

This exception wraps an exception that occured while propagating a specific attribute change (set) from the Admin Server to a specific Managed Server.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`DistributedAttributeUpdateException(ObjectName remoteNameArg, MBeanServer remoteMBeanServerArg, Exception exceptionArg, Attribute attributeArg)` Deprecated. Constructor for the DistributedAttributeUpdateException object

Method Summary
`Attribute` | `getAttribute()` Deprecated. Return the attribute that was being updated.
`void` | `printExceptionInfo(PrintWriter writer)` Deprecated. Writes the exception information onto the PrintWriter.

Methods inherited from class weblogic.management.DistributedUpdateException
`getRemoteMBeanServer, getRemoteName, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistributedAttributeUpdateException

    public DistributedAttributeUpdateException(ObjectName remoteNameArg,
                                               MBeanServer remoteMBeanServerArg,
                                               Exception exceptionArg,
                                               Attribute attributeArg)

  Deprecated.
  Constructor for the DistributedAttributeUpdateException object

  Parameters:
    `remoteNameArg` - the object on the managed server that was being updated.
    `remoteMBeanServerArg` - The MBean Server on which the failure occurred.
    `exceptionArg` - The original cause for the failure.
    `attributeArg` - The attribute that was being updated, includes the name and value of the attribute.

Method Detail

### getAttribute

    public Attribute getAttribute()

  Deprecated.
  Return the attribute that was being updated.

  Returns:
    The attribute value

### printExceptionInfo

    public void printExceptionInfo(PrintWriter writer)

  Deprecated.
  Writes the exception information onto the PrintWriter.

  Overrides:
    `printExceptionInfo` in class `DistributedUpdateException`
  Parameters:
    `writer` - where to write the information.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD